Page MenuHomePhabricator

Language::getMagic() expected to be a reference
Closed, ResolvedPublic

Description

Author: kapplet

Description:
Description:
Language::getMagic() expected to be a reference, value given in E:\xampp\htdocs\wiki\includes\StubObject.php on line 58.

Overview:
This error shows up at the top of the page of every page. Under all the div header content.

Steps to Reproduce:
From a fresh install of XAMPP 1.7.2 add the DynamicPageList (Version 1.8.8) extension.

Additional Information:
Running Windows XP SP3
Running XAMMP 1.7.2 for development.

MediaWiki 1.16alpha
PHP 5.3.0 (apache2handler)
MySQL 5.1.37

I believe this is related to PHP 5.3. If I go back to a copy of XAMMP using PHP 5.9 the Language::getMagic() expected to be a reference error does not show up.

I have performed a basic query with this error showing and nothing will show. If perform the same query on the previous version of PHP it will work.

Thanks


Version: unspecified
Severity: minor

Details

Reference
bz20296

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:53 PM
bzimport set Reference to bz20296.
bzimport added a subscriber: Unknown Object (MLST).

Yes, this happens only on PHP 5.3+.
Changed Product to MediaWiki since this is not related to the DynamicPageList extension.

IAlex added a comment.Aug 21 2009, 8:18 PM

fixed in r55429.

IAlex added a comment.Nov 4 2009, 6:27 PM
  • Bug 21412 has been marked as a duplicate of this bug. ***